import {
  ProjectPageParams,
  ProjectListGetResultModel,
  ProjectModel,
} from './model/biddingPlanModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/mgapi/project/project/list/page',
  AddProject = '/mgapi/project/projectManage/add',
  UpdateProject = '/mgapi/project/projectManage/update',
}
export const getListByPage = (params?: ProjectPageParams) =>
  defHttp.post<ProjectListGetResultModel>({ url: Api.GetList, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.AddProject, data: params });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });
