import { BasicPageParams } from '@/api/model/baseModel';

export type ProjectParams = {
  projectName?: string;
};

export type ProjectPageParams = BasicPageParams & ProjectParams;
export interface ProjectListItem {
  id: string;
  project_name: string;
  is_reserve_projecte: string;
  construction_site: string;
  construction_mode: string;
  project_type: string;
  project_overview: string;
  construction_purpose: string;
  del_flag: string;
  construction_scale: string;
  funding_source: string;
  implementing_entity: string;
  logo: string;
  create_time: null;
  create_by: string;
  update_time: null;
  update_by: string;
}

export interface ProjectModel {
  id?: string | number;
  constructionMode: string;
  isReserveProject: string;
  projectType: string;
  projectOverview: string;
  constructionPurpose: string;
}

export type ProjectListGetResultModel = ProjectListItem[];
